IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_asset')
 CREATE TABLE tk_ysq_rpa_asset (
	FID BIGINT NOT NULL,
	fnumber VARCHAR(30) NOT NULL DEFAULT ' ',
	fname VARCHAR(50) NOT NULL DEFAULT ' ',
	fstatus VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatorid BIGINT NULL DEFAULT NULL,
	fmodifierid BIGINT NULL DEFAULT NULL,
	fenable VARCHAR(50) NOT NULL DEFAULT ' ',
	fcreatetime DATETIME NULL DEFAULT NULL,
	fmodifytime DATETIME NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	forgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(254) NOT NULL DEFAULT ' ',
	fsourcedataid BIGINT NULL DEFAULT NULL,
	fbitindex BIGINT NULL DEFAULT NULL,
	fsourcebitindex BIGINT NULL DEFAULT NULL,
	
	fk_useorg BIGINT,
    fk_ysq_asset_value VARCHAR(255) NOT NULL DEFAULT ' ' ,
    fk_ysq_asset_value_tag CLOB NOT NULL DEFAULT ' ' ,
    fk_ysq_asset_type VARCHAR(50) NOT NULL DEFAULT ' ' ,
    fk_ysq_robots_no VARCHAR(255) NOT NULL DEFAULT ' ' ,
    fk_ysq_robots_no_tag CLOB NOT NULL DEFAULT ' ' ,
    fk_ysq_agent_alias VARCHAR(255) NOT NULL DEFAULT ' ' ,
    fk_ysq_agent_alias_tag CLOB NOT NULL DEFAULT ' ' ,
    fk_ysq_is_client_edit CHAR(1) NOT NULL DEFAULT '0' ,
    fk_ysq_is_python_expr CHAR(1) NOT NULL DEFAULT '0' ,
    fk_ysq_robots_no_sel VARCHAR(2000) NOT NULL DEFAULT ' ' ,
    fk_ysq_org_sel VARCHAR(50) NOT NULL DEFAULT ' '
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_asset_l')
 CREATE TABLE tk_ysq_rpa_asset_l (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL,
	FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
	fname VARCHAR(50) NOT NULL DEFAULT ' ' ,
    fk_ysq_asset_name VARCHAR(128) NOT NULL DEFAULT ' ' ,
    fk_ysq_asset_desc VARCHAR(256) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_asset_m')
 CREATE TABLE tk_ysq_rpa_asset_m (
	forgid BIGINT NOT NULL,
	fdata BLOB NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_asset_r3')
 CREATE TABLE tk_ysq_rpa_asset_r3 (
	fid BIGINT NOT NULL,
	frefstatus CHAR(1) NOT NULL DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_asset_u')
 CREATE TABLE tk_ysq_rpa_asset_u (
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_assetexc')
 CREATE TABLE tk_ysq_rpa_assetexc (
	fdataid BIGINT NOT NULL,
	fnewdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fuseorgid BIGINT NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_assetusereg')
 CREATE TABLE tk_ysq_rpa_assetusereg (
	fuseorgid BIGINT NOT NULL,
	fdataid BIGINT NOT NULL,
	fcreateorgid BIGINT NULL DEFAULT NULL,
	fadminorgid BIGINT NULL DEFAULT NULL,
	fctrlstrategy VARCHAR(10) NULL DEFAULT NULL,
	fisassign CHAR(1) NULL DEFAULT NULL,
	fassignorgid BIGINT NULL DEFAULT NULL,
	fmasterid BIGINT NULL DEFAULT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_queues')
CREATE TABLE tk_ysq_rpa_queues
(
    FID                    BIGINT      NOT NULL,
    fbillno                VARCHAR(30) NOT NULL DEFAULT ' ',
    fbillstatus            VARCHAR(50) NOT NULL DEFAULT ' ',
    fcreatorid             BIGINT NULL DEFAULT NULL,
    fmodifierid            BIGINT NULL DEFAULT NULL,
    fauditorid             BIGINT NULL DEFAULT NULL,
    fauditdate             DATETIME NULL DEFAULT NULL,
    fcreatetime            DATETIME NULL DEFAULT NULL,
    fmodifytime            DATETIME NULL DEFAULT NULL,
    forgid                 BIGINT NULL DEFAULT NULL,
    fk_ysq_queue_name      VARCHAR(128) NOT NULL DEFAULT ' ' ,
    fk_ysq_queue_max_items BIGINT NULL DEFAULT NULL,
    fk_ysq_fail_try_times  BIGINT NULL DEFAULT NULL,
    fk_ysq_queue_desc      VARCHAR(256) NOT NULL DEFAULT ' ' ,
    fk_ysq_robots_no       VARCHAR(256) NOT NULL DEFAULT ' ' ,
    fk_ysq_robots_no_tag   CLOB NULL DEFAULT NULL,
    fk_ysq_agent_alias     VARCHAR(256) NULL DEFAULT NULL,
    fk_ysq_agent_alias_tag CLOB NULL DEFAULT NULL,
    fk_ysq_time_out        CLOB NULL DEFAULT NULL,
    fk_ysq_robots_no_sel   VARCHAR(2000) NULL DEFAULT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_queues_l')
CREATE TABLE tk_ysq_rpa_queues_l (
    FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
    FID BIGINT NOT NULL,
    FLocaleID VARCHAR(10) NOT NULL DEFAULT ' ' ,
    fk_ysq_queue_name VARCHAR(128) NOT NULL DEFAULT ' ' ,
    fk_ysq_queue_desc VARCHAR(256) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_queues_items')
CREATE TABLE tk_ysq_rpa_queues_items
(
    FID                    BIGINT      NOT NULL,
    fbillno                VARCHAR(30) NOT NULL DEFAULT ' ',
    fbillstatus            VARCHAR(50) NOT NULL DEFAULT ' ',
    fcreatorid             BIGINT NULL DEFAULT NULL,
    fmodifierid            BIGINT NULL DEFAULT NULL,
    fauditorid             BIGINT NULL DEFAULT NULL,
    fauditdate             DATETIME NULL DEFAULT NULL,
    fcreatetime            DATETIME NULL DEFAULT NULL,
    fmodifytime            DATETIME NULL DEFAULT NULL,
    forgid                 BIGINT NULL DEFAULT NULL,
    fk_ysq_fail_try_times  BIGINT,
    fk_ysq_queue_max_items BIGINT,
    fk_ysq_job_no          VARCHAR(64) NULL DEFAULT NULL ,
    fk_ysq_agent_no        VARCHAR(64) NULL DEFAULT NULL ,
    fk_ysq_priority        VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_item_no         VARCHAR(64) NULL DEFAULT NULL ,
    fk_ysq_queue_name      VARCHAR(254) NULL DEFAULT NULL ,
    fk_ysq_robot_no        VARCHAR(64) NULL DEFAULT NULL ,
    fk_ysq_agent_type      VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_run_times       BIGINT NULL DEFAULT NULL,
    fk_ysq_proc_code       VARCHAR(64) NULL DEFAULT NULL  ,
    fk_ysq_agent_alias     VARCHAR(254) NULL DEFAULT NULL  ,
    fk_ysq_deadline        DATETIME NULL DEFAULT NULL,
    fk_ysq_proc_name       VARCHAR(254) NULL DEFAULT NULL  ,
    fk_ysq_status          VARCHAR(50) NULL DEFAULT NULL  ,
    fk_ysq_custom_field    VARCHAR(255) NULL DEFAULT NULL  ,
    fk_ysq_custom_field_tag CLOB NULL DEFAULT NULL,
    fk_ysq_sourceid        BIGINT NULL DEFAULT NULL,
    fk_ysq_deadline_null   BIGINT NULL DEFAULT NULL,
    fk_ysq_org_code        BIGINT NULL DEFAULT NULL,
    fk_ysq_start_time      DATETIME NULL DEFAULT NULL,
    fk_ysq_end_time        DATETIME NULL DEFAULT NULL,
    fk_ysq_faildesc        VARCHAR(255) NULL DEFAULT NULL  ,
    fk_ysq_faildesc_tag    CLOB NULL DEFAULT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_library')
CREATE TABLE tk_ysq_rpa_library
(
    FID                    BIGINT      NOT NULL,
    fbillno                VARCHAR(30) NOT NULL DEFAULT ' ',
    fbillstatus            VARCHAR(50) NOT NULL DEFAULT ' ',
    fcreatorid             BIGINT NULL DEFAULT NULL,
    fmodifierid            BIGINT NULL DEFAULT NULL,
    fauditorid             BIGINT NULL DEFAULT NULL,
    fauditdate             DATETIME NULL DEFAULT NULL,
    fcreatetime            DATETIME NULL DEFAULT NULL,
    fmodifytime            DATETIME NULL DEFAULT NULL,
    forgid                 BIGINT NULL DEFAULT NULL,
    fk_ysq_lib_ver         VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_code        VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_desc        VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_menu        VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_show_name   VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_size        VARCHAR(50) NULL DEFAULT NULL ,
    fk_ysq_lib_pro_change  VARCHAR(50) NULL DEFAULT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'tk_ysq_rpa_library_l')
CREATE TABLE tk_ysq_rpa_library_l (
    FID BIGINT NOT NULL,
    fentryid BIGINT NOT NULL,
    fseq BIGINT NOT NULL DEFAULT '0',
    fmodifierfield BIGINT NULL DEFAULT NULL ,
    fmodifydatefield DATETIME NULL DEFAULT NULL
);